@echo off

pushd "c:\Program Files\Tsharc\"
cls

echo Stage 1
echo =======
echo.
echo Setting touch screen to save settings to EEPROM
echo.
pause
start /wait .\EnableEEPROM

cls
echo Stage 2
echo =======
echo.
echo. *ENSURE TOUCH SCREEN POPUP MESSAGE HAS BEEN REMOVED BEFORE PROCEEEDING *
echo .
echo When calibration tool starts, perform the following tasks, following any
echo given prompts:
echo.
echo     1) navigate to "Screen Selection" page and select screen 1 (if
echo        more than one screen is connected)
echo.
echo     2) navigate to "Click Settings" page and
echo         a) Ensure "Enable Right-click" is unchecked
echo         b) fully reduce the Double-click area (slider to left)
echo.
echo     3) navigate to "Touch Settings" page and
echo         a) select "Normal" for the touch mode
echo         b) ensure "Enable touch sound" is unchecked
echo.
echo     4) navigate to "Calibration" page and
echo         a) select 4 point calibration
echo         b) click "Begin Alignment" button
echo.
echo     5) Press OK to make changes, follow popup instructions, and press OK
echo        again to close window   

pause
start /wait .\hwincal

cls
echo Done.

@echo on
