@echo off

cls
echo Stage 1
echo =======
echo.
echo Enabling monitor calibration
echo.
pause
if not exist C:\Windows\system32\_newdev.dll (
	cls
	echo Failed to enable monitor calibration
	echo.
	exit /B
)	
if exist C:\Windows\system32\_newdev.dll ren C:\Windows\system32\_newdev.dll newdev.dll

PATH=C:\Program Files\Touchkit;%PATH%

cls
echo Stage 2
echo =======
echo.
echo When mapping tool starts, perform the following tasks, following any
echo given prompts:
echo.
echo     1) press space bar until "Please touch here" box appears on monitor
echo.
echo     2) touch the "Please touch here" box on monitor
echo.
start /wait /B MonitorMapping
pause

cls
echo Stage 3
echo =======
echo.
echo When calibration tool starts, perform the following tasks, following any
echo given prompts:
echo.
echo     1) navigate to "Setting" page and 
echo         a) ensure all Beeps are unchecked
echo         b) fully reduce the Double Click Time (slider to left)
echo         c) fully reduce the Double Click Area (slider to left)
echo.
echo     2) Click on the Option button and
echo         a) ensure Enable Constant Touch is checked
echo         b) ensure Touch is checked
echo         c) ensure Cursor Stabilization is checked
echo         d) ensure Auto Right Click is unchecked
echo         e) increase the Constant Touch Area to maximum (slider to right)
echo         f) press OK to close dialog
echo.
echo     3) navigate to "Tools" page and select 4 point calibration
echo.
echo     4) press OK to close dialog, and press OK again to close window
start /wait /B Touchkit
pause

cls
echo Done.

@echo on
